View Issue Details

IDProjectCategoryView StatusLast Update
0003112ScribusImport / Exportpublic2011-03-11 13:24
Reportercananian Assigned Tofschmid  
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.4.1 
Target VersionFixed in Version1.3.7svn 
Summary0003112: Not obvious how to allow PDF/X-3 export.
DescriptionThe 'Save' button greys out as soon as "PDF/X-3" is selected from the "Compatibility" drop down in the "Save as PDF" dialog. Inadvertently, I eventually discovered that this is because there was no 'Info String' specified on the PDF/X-3 tab -- but this was certainly not obvious!
Additional InformationI propose one of three fixes:
 a) Insert a default Info String -- something like 'Scribus Document' into the dialog, and do not allow the user to enter an empty string; or,
 b) Don't grey out the 'Save' button. Instead, when 'Save' is pressed, check whether the Info String is filled in and display an alert dialog ("You did not specify an Info String for this export. The Info String is mandatory for PDF/X-3; using 'Scribus Document' for this export.").
 c) Display a warning label above the 'save dialog' which explains why, when it is greyed out (eg "Missing PDF/X-3 Info String" in red).
TagsNo tags attached.
Patch

Activities

ale

2010-03-17 14:25

manager   ~0023536

louis asked it on the mailing list and i agree with him:

can this string be automatically filled with a default value? It is
not the first time we read that PDF/X-3 is not available and this imo
shouldn’t be.

this is just a reminder which will automatically get triggered every 4 years :-)

Issue History

Date Modified Username Field Change
2006-01-25 21:10 cananian New Issue
2006-01-25 21:45 plinnell Status new => acknowledged
2010-03-17 14:25 ale Note Added: 0023536
2010-03-20 08:42 fschmid Status acknowledged => resolved
2010-03-20 08:42 fschmid Fixed in Version => 1.3.7svn
2010-03-20 08:42 fschmid Resolution open => fixed
2010-03-20 08:42 fschmid Assigned To => fschmid
2010-03-21 02:15 christoph_s Status resolved => closed